Package com.netrics.likeit

## Class NetricsEmbeddedSettings

- java.lang.Object
- - com.netrics.likeit.NetricsEmbeddedSettings

-     public class NetricsEmbeddedSettings
      extends java.lang.Object

  Settings applicable to the embedded ibi™ Patterns - Search engine.

  An object of this class represents a set of command line arguments for the embedded ibi™ Patterns - Search server. Each of the public values corresponds to one of the command line arguments. The argument is given at the start of the summary comment for the value. Not all options are relevant to the embedded server.

  For more details on these arguments, see "Running the ibi™ Patterns - Search Server" in the ibi™ Patterns - Search Installation Guide.

  See Also:
    `NetricsEmbedded`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.Boolean` | `autoRestore` | -A: Set true to automatically restore tables from the persistence directory upon initialization.
    `java.lang.String` | `commonRestoreDirectory` | -a: A common directory to restore tables from automatically on restart.
    `java.lang.Boolean` | `consoleLogBanner` | If set to true, the console log will be opened with a banner that includes a copyright message and detailed start-up options.
    `java.lang.String` | `consoleLogFilename` | -c: Informational messages from the embedded library will be placed in this file.
    `java.lang.Integer` | `defaultPreFilter` | Controls the default pre-filter applied to tables in the embedded engine.
    `java.lang.Integer` | `maxLeafQuerylets` | -J: Maximum number of leaf querylets on a query.
    `java.lang.Integer` | `maxTableMemory` | -m: Maximum memory (in kilobytes) of memory that can be allocated to tables.
    `java.lang.Boolean` | `outgoingTcpPersistence` | -P: Control persistence of outgoing connections.
    `java.lang.String` | `persistenceDirectory` | -R: Directory where persistence operations take place.
    `static int` | `prefilter_GIP` | The embedded engine will default to using the GIP pre-filter on tables.
    `static int` | `prefilter_None` | The embedded engine will default to using no pre-filter on tables.
    `static int` | `prefilter_PSI` | The embedded engine will default to using the PSI pre-filter on tables.
    `static int` | `prefilter_SORT` | The embedded engine will default to using the SORT pre-filter on tables.
    `java.lang.String` | `protocolLogFilename` | -D: Raw protocol information is placed in this file.
    `java.lang.String` | `queryLogFilename` | -l: Query information is placed in this file.
    `java.lang.Integer` | `searchSingleRecordLimit` | -J: Maximum number of total records on a join query.
    `java.lang.Integer` | `searchSubrecordLimit` | -J: Maximum number of sub-records per parent on a join query.
    `java.lang.Integer` | `thesaurusSubstitutionLimit` | -T: Maximum thesaurus substitutions per querylet.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NetricsEmbeddedSettings()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### consoleLogFilename

          public java.lang.String consoleLogFilename

      -c: Informational messages from the embedded library will be placed in this file.

    - #### consoleLogBanner

          public java.lang.Boolean consoleLogBanner

      If set to true, the console log will be opened with a banner that includes a copyright message and detailed start-up options.

    - #### protocolLogFilename

          public java.lang.String protocolLogFilename

      -D: Raw protocol information is placed in this file. Use only under the direction of ibi support.

    - #### queryLogFilename

          public java.lang.String queryLogFilename

      -l: Query information is placed in this file. Use only under the direction of ibi support.

    - #### thesaurusSubstitutionLimit

          public java.lang.Integer thesaurusSubstitutionLimit

      -T: Maximum thesaurus substitutions per querylet. Use only under the direction of ibi support.

    - #### maxTableMemory

          public java.lang.Integer maxTableMemory

      -m: Maximum memory (in kilobytes) of memory that can be allocated to tables. Use only under the direction of ibi support. Values <= 0, or null, indicate no maximum.

    - #### searchSubrecordLimit

          public java.lang.Integer searchSubrecordLimit

      -J: Maximum number of sub-records per parent on a join query. This is the single-rec portion of the -J option. Use only under the direction of ibi support.

    - #### searchSingleRecordLimit

          public java.lang.Integer searchSingleRecordLimit

      -J: Maximum number of total records on a join query. This is the sub-rec portion of the -J option. Use only under the direction of ibi support.

    - #### maxLeafQuerylets

          public java.lang.Integer maxLeafQuerylets

      -J: Maximum number of leaf querylets on a query. This is the max-querylet portion of the -J option. Use only under the direction of ibi support.

    - #### prefilter_None

          public static final int prefilter_None

      The embedded engine will default to using no pre-filter on tables.
      See Also:
        Constant Field Values

    - #### prefilter_GIP

          public static final int prefilter_GIP

      The embedded engine will default to using the GIP pre-filter on tables.
      -F gip
      See Also:
        Constant Field Values

    - #### prefilter_SORT

          public static final int prefilter_SORT

      The embedded engine will default to using the SORT pre-filter on tables.
      -F sort
      See Also:
        Constant Field Values

    - #### prefilter_PSI

          public static final int prefilter_PSI

      The embedded engine will default to using the PSI pre-filter on tables.
      -F psi
      See Also:
        Constant Field Values

    - #### defaultPreFilter

          public java.lang.Integer defaultPreFilter

      Controls the default pre-filter applied to tables in the embedded engine. Must be one of prefilter_None, prefilter_GIP, prefilter_SORT, or prefilter_PSI.

    - #### outgoingTcpPersistence

          public java.lang.Boolean outgoingTcpPersistence

      -P: Control persistence of outgoing connections. Setting to true is equivalent to "-P O", false is equivalent to "-P N". The embedded server does not accept incoming connections, so "B" and "I" are not supported. Use only under the direction of ibi support.

    - #### persistenceDirectory

          public java.lang.String persistenceDirectory

      -R: Directory where persistence operations take place.

    - #### autoRestore

          public java.lang.Boolean autoRestore

      -A: Set true to automatically restore tables from the persistence directory upon initialization. null means use default (false)

    - #### commonRestoreDirectory

          public java.lang.String commonRestoreDirectory

      -a: A common directory to restore tables from automatically on restart.

  - ### Constructor Detail

    - #### NetricsEmbeddedSettings

          public NetricsEmbeddedSettings()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`